SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : SUPlane3D
- alpha : SUColor
- alpha_index : SUColorOrder
- aspect_ratio : SUBeginFrameInfo
- SUArcCurveCreate() : SUArcCurveRef
- SUArcCurveFromCurve() : SUArcCurveRef
- SUArcCurveFromEntity() : SUArcCurveRef
- SUArcCurveGetCenter() : SUArcCurveRef
- SUArcCurveGetEndAngle() : SUArcCurveRef
- SUArcCurveGetEndPoint() : SUArcCurveRef
- SUArcCurveGetIsFullCircle() : SUArcCurveRef
- SUArcCurveGetNormal() : SUArcCurveRef
- SUArcCurveGetRadius() : SUArcCurveRef
- SUArcCurveGetStartAngle() : SUArcCurveRef
- SUArcCurveGetStartPoint() : SUArcCurveRef
- SUArcCurveGetXAxis() : SUArcCurveRef
- SUArcCurveGetYAxis() : SUArcCurveRef
- SUArcCurveRelease() : SUArcCurveRef
- SUArcCurveToCurve() : SUArcCurveRef
- SUArcCurveToEntity() : SUArcCurveRef
- SUAttributeDictionaryCreate() : SUAttributeDictionaryRef
- SUAttributeDictionaryFromEntity() : SUAttributeDictionaryRef
- SUAttributeDictionaryGetKeys() : SUAttributeDictionaryRef
- SUAttributeDictionaryGetName() : SUAttributeDictionaryRef
- SUAttributeDictionaryGetNumKeys() : SUAttributeDictionaryRef
- SUAttributeDictionaryGetValue() : SUAttributeDictionaryRef
- SUAttributeDictionaryRelease() : SUAttributeDictionaryRef
- SUAttributeDictionarySetValue() : SUAttributeDictionaryRef
- SUAttributeDictionaryToEntity() : SUAttributeDictionaryRef
- SUAxesCreate() : SUAxesRef
- SUAxesCreateCustom() : SUAxesRef
- SUAxesFromDrawingElement() : SUAxesRef
- SUAxesFromEntity() : SUAxesRef
- SUAxesGetOrigin() : SUAxesRef
- SUAxesGetPlane() : SUAxesRef
- SUAxesGetTransform() : SUAxesRef
- SUAxesGetXAxis() : SUAxesRef
- SUAxesGetYAxis() : SUAxesRef
- SUAxesGetZAxis() : SUAxesRef
- SUAxesRelease() : SUAxesRef
- SUAxesSetAxesVecs() : SUAxesRef
- SUAxesSetOrigin() : SUAxesRef
- SUAxesToDrawingElement() : SUAxesRef
- SUAxesToEntity() : SUAxesRef